<div class="mt-4 rounded border border-2 w-100 p-4 mt-2">
    <h2>INICIAR TRÁMITE - USO DE SUELO</h2>

    <form [formGroup]="form" (ngSubmit)="form.valid" autocomplete="off">
        <div class="row ml-2 mr-2">                
            <div class="col-md-2">
                <mat-form-field appearance="fill" [style.width.%]="100">
                    <mat-label>Nro. Flujo</mat-label>
                    <input matInput type="text" placeholder="Tramite" formControlName="idflujo" readonly>
                </mat-form-field>
            </div>
            <div class="col-md-2">
                <mat-form-field appearance="fill" [style.width.%]="100">
                    <mat-label>Fecha:</mat-label>
                    <input matInput type="text" placeholder="Fecha" formControlName="fecha" readonly>
                </mat-form-field>
            </div>
            <div class="col-md-4">
                <mat-form-field appearance="fill" [style.width.%]="100">
                    <mat-label>Proceso:</mat-label>
                    <input matInput type="text" placeholder="Proceso" formControlName="proceso" readonly>
                </mat-form-field>
            </div>
                    
        </div>      
        
        <div class="row">
           
            <div class="col-md-2">
                
                <button type="submit" mat-button color="primary" (click)="procesarFlujo()"
                    [disabled]="!form.valid"
                    >Guardar Formulario</button>
            </div>
            <div class="col-md-2">
                <button mat-button color="success">Cerrar</button>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <b>SIGUIENTE TAREA: {{form.controls['siguiente_tarea'].value}} </b>
            </div>
            
            <div class="col-md-6" >
                <b>RESPONSABLE : </b>
                <mat-form-field class="w-100" appearance="fill">
                          
                    <mat-select formControlName="responsable">
                        <mat-option></mat-option>
                        <mat-option value="">-- Seleccione Responsable --</mat-option>
                        <mat-option *ngFor="let usuario of usuarios" [value]="usuario.idusuario">
                            {{usuario.nombre_usuario}}
                        </mat-option>           
                    </mat-select>
                </mat-form-field>
            </div>
           
            <br>
        </div>
        <div class="row mb-3 ml-2 mr-2">
            <div class="col-md-9">
                <table mat-table [dataSource]="dataSource">
                    <ng-container matColumnDef="nombre_documento">
                      <th mat-header-cell *matHeaderCellDef> Nombre </th>
                      <td mat-cell *matCellDef="let element"> {{element.nombre_documento}} </td>
                    </ng-container>
                    <ng-container matColumnDef="idtareadocumento">
                        <th mat-header-cell *matHeaderCellDef> Descargar </th>
                        <td mat-cell *matCellDef="let element">
                          <button mat-button class="mat-icon-button" color="warning"
                            *ngIf="element.swarchivo==true"
                            (click)="descargarPdf(element.nombre_documento,element.idtareadocumento)">
                              <mat-icon class="mat-18">download</mat-icon>
                          </button>
                        </td>
                        <!-- (click)="descargarPdf(element.idtipodocumento, element.nombre)" -->
                    </ng-container>
                    <ng-container matColumnDef="es_requerido">
                        <th mat-header-cell *matHeaderCellDef> Requerido </th>
                        <td mat-cell *matCellDef="let element"> {{element.es_requerido}} </td>
                    </ng-container>
                    <ng-container matColumnDef="seleccionar">
                        <th mat-header-cell *matHeaderCellDef> Seleccionar </th>
                        <td mat-cell *matCellDef="let element"> 
                            <input type="file" class="fileControlInput"                                        
                                placeholder="Cargar Archivo"
                                (change)="onFileChange(element.iddocumento,$event)" 
                                accept="application/pdf">
                        </td>
                    </ng-container>
                    <ng-container matColumnDef="adjuntar">
                        <th mat-header-cell *matHeaderCellDef> Adjuntar </th>
                        <td mat-cell *matCellDef="let element, let i=index">
                          <button mat-button class="mat-icon-button" color="primary"
                            (click)="cargarPdf(element.idtareadocumento,element.iddocumento,i+1, element.nombre_documento)">
                              <mat-icon class="mat-18">upload</mat-icon>
                          </button>
                        </td>
                    </ng-container>
                    <ng-container matColumnDef="eliminar">
                        <th mat-header-cell *matHeaderCellDef> Eliminar </th>
                        <td mat-cell *matCellDef="let element">
                          <button mat-button class="mat-icon-button" color="danger"                                    
                                  (click)="eliminar_documento(element.idtareadocumento)"
                                  *ngIf="element.swarchivo==true">
                              <mat-icon class="mat-18">delete</mat-icon>
                          </button>
                        </td>
                    </ng-container>                  
                    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                    <tr mat-row *matRowDef="let row; columns: displayedColumns; let i = index"></tr>
                  </table>
            </div>
        </div>
    </form>
</div>